Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWTabStop Struct Reference

class to store a tab use by MWAWParagraph More...

`#include <MWAWParagraph.hxx>`

## Public Types
enum | Alignment { LEFT, RIGHT, CENTER, DECIMAL, BAR }
| the tab alignment More...

## Public Member Functions
| MWAWTabStop (double position=0.0, Alignment alignment=LEFT, uint16_t leaderCharacter='\0', uint16_t decimalCharacter='.')
| constructor More...
void | addTo (librevenge::RVNGPropertyListVector &propList, double decalX=0.0) const
| add a tab to the propList More...
bool | operator== (MWAWTabStop const &tabs) const
| operator== More...
bool | operator!= (MWAWTabStop const &tabs) const
| operator!= More...
int | cmp (MWAWTabStop const &tabs) const
| a comparison function More...

## Public Attributes
double | m_position
| the tab position More...
Alignment | m_alignment
| the alignment ( left, center, ...) More...
uint16_t | m_leaderCharacter
| the leader char More...
uint16_t | m_decimalCharacter
| the decimal char More...

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWTabStop const &ft)
| operator << More...

## Detailed Description

class to store a tab use by MWAWParagraph

## Member Enumeration Documentation

## ◆ Alignment

enum MWAWTabStop::Alignment

the tab alignment

Enumerator
LEFT |
RIGHT |
CENTER |
DECIMAL |
BAR |

## Constructor & Destructor Documentation

## ◆ MWAWTabStop()

MWAWTabStop::MWAWTabStop | ( | double | position = `0.0`,
|  | Alignment | alignment = `LEFT`,
|  | uint16_t | leaderCharacter = `'\0'`,
|  | uint16_t | decimalCharacter = `'.'`
| ) |  |
| inline explicit

constructor

## Member Function Documentation

## ◆ addTo()

void MWAWTabStop::addTo | ( | librevenge::RVNGPropertyListVector & | propList,
|  | double | decalX = `0.0`
| ) |  | const

add a tab to the propList

Referenced by MWAWTabStop(), and MWAWParagraph::setInterline().

## ◆ cmp()

int MWAWTabStop::cmp | ( | MWAWTabStop const & | tabs | ) | const

a comparison function

Referenced by operator!=(), MWAWParagraph::operator!=(), operator==(), and MWAWParagraph::operator==().

## ◆ operator!=()

bool MWAWTabStop::operator!= | ( | MWAWTabStop const & | tabs | ) | const
| inline

operator!=

## ◆ operator==()

bool MWAWTabStop::operator== | ( | MWAWTabStop const & | tabs | ) | const
| inline

operator==

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWTabStop const & | ft
| ) |  |
| friend

operator <<

Referenced by operator!=(), and MWAWParagraph::setInterline().

## Member Data Documentation

## ◆ m_alignment

Alignment MWAWTabStop::m_alignment

the alignment ( left, center, ...)

Referenced by addTo(), cmp(), operator<<(), MsWrdStruct::Paragraph::read(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), ClarisWksText::readParagraph(), WriteNowText::readParagraph(), MacWrtProStructures::readParagraph(), MouseWrtParser::readParagraphPLCs(), RagTimeText::readParagraphs(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), MindWrtParser::readRuler(), PowerPoint1Parser::readRuler(), GreatWksText::readRuler(), PowerPoint3Parser::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), PowerPoint1Parser::readRulers(), PowerPoint7Text::readRulerTabs(), MoreText::readTabs(), DocMkrText::sendFooter(), EDocParser::sendIndex(), MacDocParser::sendIndex(), DocMkrText::sendTOC(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_decimalCharacter

uint16_t MWAWTabStop::m_decimalCharacter

the decimal char

Referenced by addTo(), cmp(), operator<<(), ClarisDrawText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), ClarisWksText::readParagraph(), MacWrtProStructures::readParagraph(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), GreatWksText::readRuler(), and MoreText::readTabs().

## ◆ m_leaderCharacter

uint16_t MWAWTabStop::m_leaderCharacter

the leader char

Referenced by addTo(), cmp(), operator<<(), MsWrdStruct::Paragraph::read(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), ClarisWksText::readParagraph(), MacWrtProStructures::readParagraph(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), GreatWksText::readRuler(), MarinerWrtText::readRulers(), MoreText::readTabs(), EDocParser::sendIndex(), MacDocParser::sendIndex(), DocMkrText::sendTOC(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_position

double MWAWTabStop::m_position

the tab position

Referenced by addTo(), cmp(), WriteNowTextInternal::State::getDefaultParagraph(), operator<<(), MsWrdStruct::Paragraph::read(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), WriteNowText::readParagraph(), ClarisWksText::readParagraph(), MacWrtProStructures::readParagraph(), MouseWrtParser::readParagraphPLCs(), RagTimeText::readParagraphs(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), MindWrtParser::readRuler(), PowerPoint1Parser::readRuler(), GreatWksText::readRuler(), PowerPoint3Parser::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), PowerPoint1Parser::readRulers(), PowerPoint7Text::readRulerTabs(), MoreText::readTabs(), DocMkrText::sendFooter(), MindWrtParser::sendHeaderFooterFields(), EDocParser::sendIndex(), MacDocParser::sendIndex(), DocMkrText::sendTOC(), and RagTime5StyleManager::updateTextStyles().

The documentation for this struct was generated from the following files:

- MWAWParagraph.hxx
- MWAWParagraph.cxx